var cells=
[
["adjectives","ADJECTIVE","border:1px dashed gray;background:#e6e6e6;grid-column:6/span 2;grid-row:1;","fond","audio/adjectives.mp3"],
["clause","CLAUSE","border:1px dashed gray;background:#abffab;grid-column:5/span 2;grid-row:2;","fond","audio/clause.mp3"],
["clause_1","A GROUP OF WORDS <b>WITH A VERB</b> WHICH DESCRIBES A NOUN","border:1px dashed gray;background:#cdffcd;grid-column:1/span 4;grid-row:2;","fond","audio/clause_1.mp3"],
["clause_ex","EXAMPLES:<br> ...WHO IS WEARING A BASEBALL CAP...<br>... WHICH IS DRINKING MILK ...","border:1px dashed gray;background:#d7ffd7;grid-column:1/span 4;grid-row:3/span 2;","fond","audio/clause_ex.mp3"],
["phrase","PHRASE","border:1px dashed gray;background:#c4c4ff;grid-column:5/span 2;grid-row:5;","fond","audio/phrase.mp3"],
["phrase_ex","A GROUP OF WORDS WHICH DESCRIBES A NOUN","border:1px dashed gray;background:#d2d2ff;grid-column:1/span 4;grid-row:5;","fond","audio/phrase_ex.mp3"],
["phrase_exp","EXAMPLES:<br>A <b>BLACK AND WHITE</b> PHOTO<br>A <b>YOUNG HANDSOME</b> MAN","border:1px dashed gray;background:#d2d2ff;grid-column:1/span 4;grid-row:6/span 2;","fond","audio/phrase_exp.mp3"],
["irregular","IRREGULAR","border:1px dashed gray;background:#ffbaff;grid-column:5/span 2;grid-row:8;","fond","audio/irregular.mp3"],
["irregular_ex","EXAMPLES:<br>GOOD BETTER BEST - BAD WORSE WORST<br>FAR FURTHER FURTHEST - MUCH MORE MOST","border:1px dashed gray;background:#ffd7ff;grid-column:1/span 4;grid-row:8/span 2;","fond","audio/irregular_ex.mp3"],
["describes","DESCRIBES A NOUN","border:1px dashed gray;background:#ffffcb;grid-column:7/span 2;grid-row:2;","fond","audio/describes.mp3"],
["describes_ex","EXAMPLES:<br> CLEAN DIRTY INTELLIGENT GOOD","border:1px dashed gray;background:#ffffdf;grid-column:9/span 4;grid-row:2/span 2;","fond","audio/describes_ex.mp3"],
["comparative","COMPARATIVE","border:1px dashed gray;background:#c9e1e1;grid-column:7/span 2;grid-row:5;","fond","audio/comparative.mp3"],
["comparative_ex","COMPARES TWO THINGS","border:1px dashed gray;background:#d2e6e6;grid-column:9/span 4;grid-row:4;","fond","audio/comparative_ex.mp3"],
["comparative_sh","SHORT WORD +ER -> CLEANER - Y ENDING -> DIRTIER","border:1px dashed gray;background:#d2e6e6;grid-column:9/span 4;grid-row:5;","fond","audio/comparative_sh.mp3"],
["comparative_lo","LONG WORD + MORE -> MORE INTELLIGENT","border:1px dashed gray;background:#d2e6e6;grid-column:9/span 4;grid-row:6;","fond","audio/comparative_lo.mp3"],
["superlative","SUPERLATIVE","border:1px dashed gray;background:#ffabab;grid-column:7/span 2;grid-row:8;","fond","audio/superlative.mp3"],
["superlative_ex","COMPARES THREE OR MORE THINGS","border:1px dashed gray;background:#ffc6c6;grid-column:9/span 4;grid-row:7;","fond","audio/superlative_ex.mp3"],
["superlative_","SHORT WORD +EST -> CLEANEST - Y ENDING -> DIRTIEST","border:1px dashed gray;background:#ffc6c6;grid-column:9/span 4;grid-row:8;","fond","audio/superlative_.mp3"],
["superlative_lo","LONG WORD +THE MOST -> THE MOST INTELLIGENT","border:1px dashed gray;background:#ffc6c6;grid-column:9/span 4;grid-row:9;","fond","audio/superlative_lo.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("adjectives").innerHTML=cells[0][1];
	document.getElementById("adjectives").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
let dim = false;
const BIBBI_WIDTH = "48%";
const BIBBI_TOP = "20%"
const BIBBI1_LEFT = "1%";
const BIBBI2_LEFT = "51%";
const BIBBI_MAX_HEIGTH = "70%";
const BIBBI_ENLARGE_WIDTH = "98%";
const BIBBI_ENLARGE_HEIGTH = "85%";
const BIBBI_ENLARGE_TOP = "10%";
function hideIt(qc)
{   let bibbis1=document.getElementsByClassName("bibbi1");
    let k=bibbis1.length;
    let bibbis2=document.getElementsByClassName("bibbi2");
    let h=bibbis2.length;
    for(let a=0;a<k;a++)
    {	bibbis1[a].style.display="none";
    }
    for(let b=0;b<h;b++)
    {	bibbis2[b].style.display="none";
    }
	
	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI1_LEFT;
	    document.getElementById(qc).style.width = BIBBI_WIDTH;
	    document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
	}
    else
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI2_LEFT;
    	document.getElementById(qc).style.width = BIBBI_WIDTH;
    	document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
    }
	document.getElementById(qc).style.display = "none";
	dim=false;	
}
function enlargeIt(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI1_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI2_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width=BIBBI_ENLARGE_WIDTH;
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left=BIBBI1_LEFT;
		document.getElementById(div).style.top=BIBBI_ENLARGE_TOP;
		document.getElementById(div).style.maxHeight=BIBBI_ENLARGE_HEIGTH;
		dim=true;
	}		
}
